SmartGare
API referenceEndpoints

Search display profiles

GET/siv/v1/display-profiles
AuthorizationBearer <token>

In: header

Query Parameters

search?string
kind?string

Value in

  • "HALL_PANEL"
  • "BAY_PANEL"
  • "DRIVER_SCREEN"
  • "HALL_PANEL"
  • "BAY_PANEL"
  • "DRIVER_SCREEN"
status?string

Value in

  • "ACTIVE"
  • "RETIRED"
  • "ACTIVE"
  • "RETIRED"
page?integer

Zero-based page index.

Formatint32
Range0 <= value
Defaultnull
size?integer

Page size, at most 200.

Formatint32
Range0 <= value <= 200
Defaultnull

Response Body

*/*

curl -X GET "https://example.com/siv/v1/display-profiles"
{  "data": [    {      "id": "string",      "code": "string",      "name": "string",      "kind": "string",      "horizonMinutes": 0,      "lineCount": 0,      "languages": [        "string"      ],      "sort": "string",      "cancellationGraceMinutes": 0,      "pageSeconds": 0,      "fallbackContent": {        "type": "TEXT",        "text": "string"      },      "status": "string",      "retirementReason": "string",      "retiredAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "updatedAt": "2019-08-24T14:15:22Z"    }  ],  "page": 0,  "size": 0,  "total": 0}